Loading...
Searching...
No Matches
ip6_hdr Struct Reference

`#include <ip6.h>`

## Data Fields

u32_t | _v_tc_fl
u16_t | _plen
u8_t | _nexth
u8_t | _hoplim
ip6_addr_p_t | src

## Detailed Description

The IPv6 header.

## Field Documentation

## _hoplim

u8_t ip6_hdr::_hoplim

hop limit

## _nexth

u8_t ip6_hdr::_nexth

next header

## _plen

u16_t ip6_hdr::_plen

payload length

## _v_tc_fl

u32_t ip6_hdr::_v_tc_fl

version / traffic class / flow label

## src

ip6_addr_p_t ip6_hdr::src

source and destination IP addresses

The documentation for this struct was generated from the following file:

- src/include/lwip/prot/ip6.h